Bug 44955 - UWP: Setting Entry BackgroundColor via Behavior results in sticky unfocused background color
Summary: UWP: Setting Entry BackgroundColor via Behavior results in sticky unfocused b...
Status: VERIFIED FIXED
Alias: None
Product: Forms
Classification: Xamarin
Component: Forms (show other bugs)
Version: 2.3.3
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-09-30 20:50 UTC by fjordfnord
Modified: 2017-07-07 11:07 UTC (History)
3 users (show)

See Also:
Tags: ac
Is this bug a regression?: ---
Last known good build:


Attachments
Visual Studio project to reproduce the problem in this bug report (94.43 KB, application/x-gzip)
2016-09-30 20:50 UTC, fjordfnord
Details

Description fjordfnord 2016-09-30 20:50:27 UTC
Created attachment 17837 [details]
Visual Studio project to reproduce the problem in this bug report

=== Overview ===

On UWP, using Xamarin.Forms, if a Behavior modifies the BackgroundColor of an Entry, then the set background color will stick when the Entry is unfocused, even if the background color is changed to something else. It is as if the initial setting of the background color sets a focused and unfocused background colors and any subsequent color change only sets the focused background color.

A tarball containing a reproducing project is attached.

=== Steps to Reproduce  ===

Using the attached project:
1. First Entry on MainView starts with Red background since it has a Behavior which detects empty string.
2. Type non-empty string to the first Entry. Notice how the background is now white due to the Behavior.
3. Focus second entry. The first entry background is now pink, which is unexpected.
4. Press button "Default background". The first entry will stay pink.

=== Expected Behavior ===

Setting Entry background color should change for both focused and unfocused Entry state.

=== Actual Behavior ===

When Behavior sets the background color of an Entry, the set color will stick when entry is unfocused and cannot be changed.

=== Visual Studio===

Microsoft Visual Studio Community 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Community

Visual Basic 2015   00322-20000-00000-AA752
Microsoft Visual Basic 2015

Visual C# 2015   00322-20000-00000-AA752
Microsoft Visual C# 2015

Visual C++ 2015   00322-20000-00000-AA752
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-20000-00000-AA752
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.8.00927.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.20810.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

AWS Toolkit for Visual Studio 2015   1.9.6.19
AWS Toolkit for Visual Studio 2015.
Copyright 2011-2016 Amazon.com, Inc. or its affiliates. All Rights Reserved.

This software includes third party software subject to the following copyrights:
- Logging from log4net, Apache License 
  [http://logging.apache.org/log4net/license.html]
- Putty for PPK to PEM conversion, MIT license 
  [http://www.chiark.greenend.org.uk/~sgtatham/putty/licence.html]
- NGit for AWS Elastic Beanstalk incremental push
  [https://github.com/mono/ngit/blob/master/NGit.license.txt]
- NSch dependency for NGit
  [https://github.com/mono/ngit/blob/master/NSch.license.txt]
- Sharpen dependency for NGit
  [https://github.com/mono/ngit/blob/master/Sharpen/AssemblyInfo.cs]
- ICSharpCode.SharpZipLib dependency for NGit
  [http://www.icsharpcode.net/opensource/sharpziplib/]
- Mono.Posix.dll and Mono.Security.dll dependencies for NGit
  [http://mono-project.com/FAQ:_Licensing#Licensing]
- MPFProj for Visual Studio Project Framework
  [http://mpfproj10.codeplex.com/license]
- JSON Checker for JSON validation
  [http://www.raboof.com/projects/jsonchecker/]

Azure App Service Tools v2.8.1   14.0.11123.0
Azure App Service Tools v2.8.1

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 2)   14.1.20810.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.0.695 (7603786)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.1.2 (c1d1c79)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.0.0.1 (29910bb)
Visual Studio extension to enable development for Xamarin.iOS.

=== Operating System ===

OS Name	Microsoft Windows 10 Home
Version	10.0.14393 Build 14393
Comment 1 Rui Marinho 2017-03-03 12:38:53 UTC
Should be fixed in 2.3.5-pre1
Comment 2 Saurabh Paunikar 2017-07-07 11:07:34 UTC
Verified on xamarin.form version 2.3.5.256-pre6

ScreenCast link : https://www.screencast.com/t/HI2dkSVEY51

Hence marking this issue as verified

Note You need to log in before you can comment on or make changes to this bug.